import React from 'react';

import { InputWithIcon } from './input-with-icon';
import { IconEth } from '../../icons/icon-eth/icon-eth';

let wrapper;

describe('<InputWithIcon />', () => {
  test('should match snapshot', () => {
    wrapper = shallow(<InputWithIcon icon={<IconEth />} />);
    expect(wrapper).toMatchSnapshot();
  });

  test('if `isLoading` is true', () => {
    wrapper = shallow(<InputWithIcon icon={<IconEth />} isLoading />);
    expect(wrapper).toMatchSnapshot();
  });
});
